%define version 0.21
%define directory /usr

Summary: A utility that generates XFree86 and/or fbset Modelines
Name: videogen
Version: %{version}
Release: 1
Copyright: GPLv2
Group: X11/Utilities
Source: http://paranoia.rulez.org/videogen/download/videogen-0.21.tar.gz
URL: http://paranoia.rulez.org/videogen/
Packager: Griff Miller (griff.miller@positron.com)
Buildroot: /var/tmp/%{name}-%{version}

%description
A small and handy utility that generates XFree86 and/or fbset (Linux
framebuffer device) "Modelines" which tell your video card what signals
to send to your monitor. videogen is designed to provide the best refresh
rate your hardware supports, but if you do not want to drive your monitor
to the edge, just use lower specs than the actual capabilities of your
hardware.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{directory}/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/%{directory}/X11R6/man/man1
mkdir -p $RPM_BUILD_ROOT/%{directory}/doc/%{name}-%{version}
make BINDIR=$RPM_BUILD_ROOT/%{directory}/X11R6/bin MANDIR=$RPM_BUILD_ROOT/%{directory}/X11R6/man install
cp BUGS CHANGES README some_modes.sh $RPM_BUILD_ROOT/%{directory}/doc/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{directory}/X11R6/bin
%{directory}/X11R6/man
%{directory}/doc
